## PPP PPP — PPP Usage. |

## Stability Level

Stable, unless otherwise indicated

## Functions

void | glibtop_get_ppp ()
void | glibtop_get_ppp_l ()
void | glibtop_get_ppp_p ()
void | glibtop_get_ppp_s ()

## Types and Values

#define | GLIBTOP_PPP_STATE
#define | GLIBTOP_PPP_BYTES_IN
#define | GLIBTOP_PPP_BYTES_OUT
#define | GLIBTOP_MAX_PPP
struct | glibtop_ppp
#define | glibtop_get_ppp_r

## Includes

    #include <glibtop/ppp.h>

## Description

Management of a PPP device.

## Functions

### glibtop_get_ppp ()

    void
    glibtop_get_ppp (glibtop_ppp *buf,
                     unsigned short  device);

Get the PPP usage.

#### Parameters

buf | A location to return the PPP usage `short` device: The device to ask information |

### glibtop_get_ppp_l ()

    void
    glibtop_get_ppp_l (glibtop *server,
                       glibtop_ppp *buf,
                       unsigned short  device);

### glibtop_get_ppp_p ()

    void
    glibtop_get_ppp_p (glibtop *server,
                       glibtop_ppp *buf,
                       unsigned short  device);

### glibtop_get_ppp_s ()

    void
    glibtop_get_ppp_s (glibtop *server,
                       glibtop_ppp *buf,
                       unsigned short  device);

## Types and Values

### GLIBTOP_PPP_STATE

    #define GLIBTOP_PPP_STATE 0

### GLIBTOP_PPP_BYTES_IN

    #define GLIBTOP_PPP_BYTES_IN 1

### GLIBTOP_PPP_BYTES_OUT

    #define GLIBTOP_PPP_BYTES_OUT 2

### GLIBTOP_MAX_PPP

    #define GLIBTOP_MAX_PPP		3

### struct glibtop_ppp

    struct glibtop_ppp {
    	guint64 flags;
    	guint64 state;			/* GLIBTOP_PPP_STATE		*/
    	guint64 bytes_in;		/* GLIBTOP_PPP_BYTES_IN		*/
    	guint64 bytes_out;		/* GLIBTOP_PPP_BYTES_OUT */
    };

### glibtop_get_ppp_r

    #define glibtop_get_ppp_r glibtop_get_ppp_p

## See Also

libgtop-netload, libgtop-netlist